### Method

# EDataServer SourceAlarms get_for_every_event

since: 3.52

#### Declaration [src]

    gboolean
    e_source_alarms_get_for_every_event (
      ESourceAlarms* extension
    )

#### Description [src]

Returns whether the user should be alerted about all upcoming appointments in the calendar described by the `ESource` to which `extension` belongs.

This is used in addition to the GSettings key defall-reminder-enabled in org.gnome.evolution-data-server.calendar.

Available since: 3.52

Gets property | `EDataServer.SourceAlarms:for-every-event`

#### Return value

Type: `gboolean`

Whether to show alarms for every event.